PHP 手冊
前一頁 |  | 下一頁

# zip_entry_read

(PHP 4 >= 4.1.0)

zip_entry_read -- Read from an open directory entry

## Description

string zip_entry_read ( resource zip_entry [, int length] )

Reads from an open directory entry.

## Parameters

zip_entry

  A directory entry returned by zip_read().

length

  The number of bytes to return. If not specified, this function will attempt to read 1024 bytes.

  > 注: This should be the uncompressed length you wish to read.

## Return Values

Returns the data read, or `FALSE` if the end of the file is reached.

## 參考

zip_entry_open()
zip_entry_close()
zip_entry_filesize()

前一頁 | 內容 | 下一頁
zip_entry_open | 上一層 | zip_open